#####################################################
# E-Blah Bulliten Board Systems  -  Platinum Series #
#####################################################
# Copyright (c) 2001 - 2006 E-Blah.                 #
#####################################################

CoreLoad('Themes',1);

$themesupp = 3;

sub ThemeResearch {
	opendir(DIR,"$templates");
	@themesdir = readdir(DIR);
	closedir(DIR);

	$count = 0;
	$default = 0;
	foreach $t (@themesdir) {
		if($t eq '.' || $t eq '..' || $t eq 'News.html') { next; }

		$theme{$t,'images'}  = '';
		$theme{$t,'buttons'} = '';
		fopen(FILE,"$templates/$t/theme.dat");
		while(<FILE>) {
			$_ =~ /(.+?) = '(.+?)'/;
			$theme{$t,$1} = $2;
		}
		fclose(FILE);
		if($theme{$t,'name'} ne '') {
			++$count;
			push(@themes2,"$t|$theme{$t,'default'}|$theme{$t,'images'}|$theme{$t,'buttons'}");
			$lasttheme = $t;
		}
		if($theme{$t,'default'}) { $default = 1; }
	}

	@themes = @themes2;

	fopen(FILE,">$prefs/ThemesList.txt");
	foreach(@themes) { print FILE $_."\n"; }
	fclose(FILE);

	if(!$default) { ThemeDefault($lasttheme); }
}

sub ThemeDefault {
	if($_[0] ne '') { $URL{'ttheme'} = $lasttheme; }

	$save = '';
	$default = 0;
	fopen(FILE,"$prefs/ThemesList.txt");
	while(<FILE>) {
		chomp $_;
		($theme,$t2,$t3,$t4) = split(/\|/,$_);
		if($theme eq $URL{'ttheme'}) { $save .= "$theme|1|$theme{$theme,'images'}|$theme{$theme,'buttons'}\n"; $default = 1; }
			else { $save .= "$theme||$t3|$t4\n"; }
	}
	fclose(FILE);

	if(!$default && !$eblahsetupv) { error($themetxt[26]); }

	fopen(FILE,">$prefs/ThemesList.txt");
	print FILE $save;
	fclose(FILE);

	if($_[0] eq '' && !$eblahsetupv) { redirect("$surl\lv-admin/a-themesman/"); }
}

sub ThemeDelete {
	$save = '';

	if($theme{$URL{'ttheme'},'default'}) { error($themetxt[27]); }

	fopen(FILE,"$prefs/ThemesList.txt");
	while(<FILE>) {
		chomp $_;
		($theme) = split(/\|/,$_);
		if($theme ne $URL{'ttheme'}) { $save .= "$_\n"; }
			else { unlink("$templates/$theme/template.html","$templates/$theme/template.css","$templates/$theme/admintemplate.css","$templates/$theme/Smilies.html","$templates/$theme/theme.dat"); rmdir("$templates/$theme"); }
	}
	fclose(FILE);

	ThemeResearch();
}

sub ThemeManager {
	if($URL{'p'} eq 'edit' && $URL{'edit'} ne '') { ThemeEdit(); }
	if($URL{'p'} eq 'save' && $URL{'edit'} ne '') { ThemeSave(); }
	if($URL{'p'} eq 'delete') { ThemeDelete(); }
	if($URL{'p'} eq 'default') { ThemeDefault(); }

	$title = $themetxt[1];
	headerA();

	foreach $theme (@themes) {
		($themeid) = split(/\|/,$theme);
		fopen(FILE,"$templates/$themeid/theme.dat");
		while(<FILE>) {
			$_ =~ /(.+?) = '(.+?)'/;
			$theme{$themeid,$1} = $2;
		}
		fclose(FILE);
	}

	if($URL{'p'} eq 'readd') {
		ThemeResearch();

		$ebout .= <<"EOT";
<script language=JavaScript> 
alert("$themetxt[28]\\n\\n$count $themetxt[29]");
</script>
EOT
	}

	$ebout .= <<"EOT";
<script language="JavaScript">
<!--
function ThemeOpener(valy,shornot) {
 if(document.getElementById) { openItem = document.getElementById(valy); }
 else if (document.all){ openItem = document.all[valy]; }
 else if (document.layers){ openItem = document.layers[valy]; }

 if(shornot) { ShowType = ""; davalue = '<a href="javascript:ThemeOpener(\\''+valy+'\\',\\'\\')"><img src="$images/minimize.gif" border="0"></a>'; }
  else { ShowType = "none"; davalue = '<a href="javascript:ThemeOpener(\\''+valy+'\\',\\'1\\')"><img src="$images/expand.gif" border="0"></a>'; }
 if(openItem.style) { openItem.style.display = ShowType; }
  else { openItem.visibility = "show"; }
  document.getElementById('sub_'+valy).innerHTML = davalue;
}
// -->
</script>

<table cellpadding="4" cellspacing="1" width="600" class="border" align="center">
 <tr>
  <td class="titlebg">$title</td>
 </tr><tr>
  <td class="win">
   <table width="100%" cellpadding="0" cellspacing="0">
EOT

	foreach(@themes) {
		($theme,$default) = split(/\|/,$_);
		$def = $default ? $themetxt[30] : '';

		$ebout .= <<"EOT";
    <tr>
     <td class="catbg" style="padding: 4px;" colspan="2"><div style="float: left"><span id="sub_$theme"><a href="javascript:ThemeOpener('$theme','')"><img src="$images/expand.gif" border="0" onLoad="ThemeOpener('$theme','');"></a></span> <a href="$surl\lv-admin/a-themesman/p-edit/edit-$theme/">$theme{$theme,'name'}</a> <span class="smalltext">(ID: $theme)</span></div><div style="float: right; align: right;"><span class="smalltext">$def</span></div></td>
    </tr><tr>
     <td class="win2" style="padding: 4px;" colspan="2" align="center">[ <a href="$surl\lv-admin/a-themesman/p-default/ttheme-$theme/">$themetxt[32]</a> | <a href="$surl\lv-admin/a-themesman/p-delete/ttheme-$theme/">$themetxt[31]</a> ]</td>
    </tr><tr>
     <td id="$theme">
      <table width="100%" cellpadding="4" cellspacing="0">
EOT
		if($theme{$theme,'desc'}) {
			$ebout .= <<"EOT";
    <tr>
     <td width="100" valign="top" class="smalltext"><b>$themetxt[33]</b></td>
     <td class="smalltext">$theme{$theme,'desc'}</td>
    </tr>
EOT
		}
		if($theme{$theme,'author'}) {
			$ebout .= <<"EOT";
    <tr>
     <td class="smalltext"><b>$themetxt[34]</b></td>
     <td class="smalltext">$theme{$theme,'author'}</td>
    </tr>
EOT
		}
		if($theme{$theme,'website'}) {
			$ebout .= <<"EOT";
    <tr>
     <td class="smalltext"><b>$themetxt[44]</b></td>
     <td class="smalltext"><a href="http://$theme{$theme,'website'}" target="_blank">$theme{$theme,'website'}</a></td>
    </tr>
EOT
		}
		if($theme{$theme,'copyright'}) {
			$ebout .= <<"EOT";
    <tr>
     <td class="smalltext"><b>$themetxt[35]</b></td>
     <td class="smalltext">$theme{$theme,'copyright'}</td>
    </tr>
EOT
		}
		if($theme{$theme,'version'}) {
			$ebout .= <<"EOT";
    <tr>
     <td class="smalltext"><b>$themetxt[36]</b></td>
     <td class="smalltext">$theme{$theme,'version'}</td>
    </tr>
EOT
		}
		if($theme{$theme,'hidden'}) {
			$ebout .= <<"EOT";
    <tr>
     <td class="smalltext" colspan=2" align="center">$themetxt[48]</td>
    </tr>
EOT
		}

		$ebout .= <<"EOT";
</table>
</td>
</tr>
EOT
	}

	$ebout .= <<"EOT";
   </table>
  </td>
 </tr><tr>
  <td class="catbg"><b>$themetxt[37]</b></td>
 </tr><tr>
  <td class="win2" align="center" style="padding: 20px;"><a href="$surl\lv-admin/a-themesman/p-readd/">$themetxt[38]</a> | <a href="$surl\lv-admin/a-themesman/p-edit/edit-new/">$themetxt[39]</a></td>
 </tr>
</table>
EOT
	footerA();
	exit;
}

sub TempFormat {
	$_[0] =~ s/</&lt;/g;
	$_[0] =~ s/>/&gt;/g;
	$_[0] =~ s/"/\&quot;/g;
	$_[0] =~ s/\cM//g;
	return($_[0]);
}

sub ThemeEdit {
	CoreLoad('Admin1',1);

	$title = $themetxt[40];
	headerA();

	if($URL{'edit'} ne 'new') {
		fopen(FILE,"$templates/$URL{'edit'}/theme.dat") || error($themetxt[26]);
		while(<FILE>) {
			$_ =~ /(.+?) = '(.+?)'/;
			$theme{$1} = $2;
		}
		fclose(FILE);

		fopen(FILE,"$templates/$URL{'edit'}/template.html");
		while(<FILE>) { chomp; $temps1 .= $_."\n"; }
		fclose(FILE);
		$temps1 = TempFormat($temps1);

		fopen(FILE,"$templates/$URL{'edit'}/Smilies.html");
		while(<FILE>) { chomp; $temps2 .= $_."\n"; }
		fclose(FILE);
		$temps2 = TempFormat($temps2);

		fopen(FILE,"$templates/$URL{'edit'}/admintemplate.css");
		while(<FILE>) { chomp; $temps3 .= $_."\n"; }
		fclose(FILE);
		$temps3 = TempFormat($temps3);

		fopen(FILE,"$templates/$URL{'edit'}/template.css");
		while(<FILE>) { chomp; $temps4 .= $_."\n"; }
		fclose(FILE);
		$temps4 = TempFormat($temps4);
	}

	$check1{$theme{'buttons'}} = ' checked';
	$check2{$theme{'images'}}  = ' checked';
	$check3{$theme{'preview'}} = ' checked';
	$check4{$theme{'hidden'}} = ' checked';
	$theme{'desc'} = Unformat($theme{'desc'});

	$ebout .= <<"EOT";
<script language="javascript">
<!-- //
function GetTemplate(gettemplate,tempdesc,tempdesc2) {
	oldputaway = document.poster.putaway;
	tempeditor = document.poster.tempedit;

	// Lets put away the old ones ... and get rdy for new ones!
	if(oldputaway.value == 1) { document.poster.temp1.value = tempeditor.value; }
	else if(oldputaway.value == 2) { document.poster.temp2.value = tempeditor.value; }
	else if(oldputaway.value == 3) { document.poster.temp3.value = tempeditor.value; }
	else if(oldputaway.value == 4) { document.poster.temp4.value = tempeditor.value; }

	tempeditor.value = '$themetxt[51]';
	tempeditor.disabled = true;

	if(gettemplate == 1) { tempeditor.value = document.poster.temp1.value; }
	else if(gettemplate == 2) { tempeditor.value = document.poster.temp2.value; }
	else if(gettemplate == 3) { tempeditor.value = document.poster.temp3.value; }
	else if(gettemplate == 4) { tempeditor.value = document.poster.temp4.value; }
	if(gettemplate != 0) { tempeditor.disabled = false; }

	oldputaway.value = gettemplate;
	if(tempdesc) { document.getElementById('tempdesc').innerHTML = tempdesc; }

	if(document.getElementById) { openItem = document.getElementById('tempdesc2'); }
	else if (document.all){ openItem = document.all['tempdesc2']; }
	else if (document.layers){ openItem = document.layers['tempdesc2']; }

	if(tempdesc2) { ShowType = ""; }
		else { ShowType = "none"; }
	if(openItem.style) { openItem.style.display = ShowType; }
		else { openItem.visibility = "show"; }
}
// -->
</script>

<table width="700" cellpadding="4" cellspacing="1" class="border" align="center">
 <tr><form action="$surl\lv-admin/a-themesman/p-save/edit-$URL{'edit'}/" method="post" name="poster" onSubmit="GetTemplate(0)">
  <td class="titlebg"><img src="$images/xx.gif"> $title</td>
 </tr><tr>
  <td class="win">
   <table width="100%">
    <tr>
     <td width="200"><b>$themetxt[41]</b></td>
     <td><input class="textinput" type="text" name="name" value="$theme{'name'}" size="40"></td>
    </tr><tr>
     <td valign="top"><b>$themetxt[33]</b></td>
     <td><textarea name="desc" style="width: 400px; height: 50px">$theme{'desc'}</textarea></td>
    </tr><tr>
     <td><b>$themetxt[34]</b></td>
     <td><input class="textinput" type="text" name="author" value="$theme{'author'}" size="30"></td>
    </tr><tr>
     <td><b>$themetxt[44]</b></td>
     <td>http:// <input class="textinput" type="text" name="website" value="$theme{'website'}" size="40"></td>
    </tr><tr>
     <td><b>$themetxt[35]</b></td>
     <td><input class="textinput" type="text" name="copyright" value="$theme{'copyright'}" size="30"></td>
    </tr><tr>
     <td><b>$themetxt[36]</b></td>
     <td><input class="textinput" type="text" name="version" value="$theme{'version'}" size="4"></td>
    </tr><tr>
     <td><b>$themetxt[46]</b></td>
     <td><input type="checkbox" name="preview" value="1"$check3{1}><span class="smalltext"> $themetxt[47]</span></td>
    </tr><tr>
     <td><b>$themetxt[50]</b></td>
     <td><input type="checkbox" name="hidden" value="1"$check4{1}><span class="smalltext"> $themetxt[49]</span></td>
    </tr><tr>
     <td valign="top"><b>$themetxt[42]</b></td>
     <td>
      <table cellpadding="0" cellspacing="0">
       <tr>
        <td><input type="checkbox" name="buttons" value="1"$check1{1}><span class="smalltext"> Buttons</span></td>
       </tr><tr>
        <td><input type="checkbox" name="images" value="1"$check2{1}><span class="smalltext"> $themetxt[43]</span></td>
       </tr>
      </table>
     </td>
    </tr>
   </table>
  </td>
 </tr>
</table>
<br>
<table width="700" cellpadding="0" cellspacing="1" class="border" align="center">
 <tr>
  <td class="titlebg" style="padding: 5px;">$admintxt[135]</td>
 </tr><tr>
  <td class="win2">
   <table cellpadding="0" cellspacing="0" width="100%">
    <tr>
     <td class="win" width="175" valign="top" rowspan="2"><input type="hidden" name="putaway">
     <div class="titlebg" style="padding: 5px;"><b>HTML Templates</b></div><div style="padding: 10px; line-height: 150%;">
     <a href="#bottom" onClick="GetTemplate('1','$admintxt[197]','1')">$admintxt[197]</a><input type="hidden" name="temp1" value="$temps1"><br>
     <a href="#bottom" onClick="GetTemplate('2','$admintxt[138]','1')">$admintxt[138]</a><input type="hidden" name="temp2" value="$temps2"><br></div>
     <div class="titlebg" style="padding: 5px;"><b>CSS Templates</b></div><div style="padding: 10px; line-height: 150%;">
     <a href="#bottom" onClick="GetTemplate('3','$admintxt[193]','')">$admintxt[193]</a><input type="hidden" name="temp3" value="$temps3"><br>
     <a href="#bottom" onClick="GetTemplate('4','$admintxt[192]','')">$admintxt[192]</a><input type="hidden" name="temp4" value="$temps4"></div>
     </td>
     <td class="catbg" style="padding: 5px;"><b><span id="tempdesc">$admintxt[195]</span></b><div id="tempdesc2" class="smalltext" style="padding: 5px; display: none;"><span class=smalltext>$admintxt[136]:<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i>&lt;blah v=&quot;</i><b>\$variable</b><i>&quot;&gt;</i></span></div></td>
    </tr><tr>
     <td valign="top" style="padding: 5px;"><textarea name="tempedit" style="width: 100%; height: 150px;"></textarea><br></td>
    </tr>
   </table>
  </td>
 </tr><tr>
  <td class="win2" align="center" style="padding: 5px;"><input type="submit" class="button" name="submit" value=" $admintxt[139] "></td>
 </form></tr>
</table>
<script language="javascript">
<!-- //
GetTemplate(0);
// -->
</script>
EOT
	footerA();
	exit;
}

sub ThemeSave {
	$counter = '';
	$new = '';

	$FORM{'name'} = Format($FORM{'name'});
	$FORM{'name'} =~ s/\'/&#8217;/g;
	$FORM{'desc'} = Format($FORM{'desc'});
	$FORM{'desc'} =~ s/\'/&#8217;/g;
	error($themetxt[45]) if($FORM{'name'} eq '');

	if($URL{'edit'} eq 'new') {
		$counter = 1;
		while(-e("$templates/$counter/theme.dat")) { ++$counter; }

		mkdir("$templates/$counter",0777);
		$new = 1;
	}

	$editfile = $counter ? $counter : $URL{'edit'};

	$newfile = "name = '$FORM{'name'}'\n";
	$newfile .= "desc = '$FORM{'desc'}'\n";
	$newfile .= $FORM{'author'} ? "author = '$FORM{'author'}'\n" : '';
	$newfile .= $FORM{'website'} ? "website = '$FORM{'website'}'\n" : '';
	$newfile .= $FORM{'copyright'} ? "copyright = '$FORM{'copyright'}'\n" : '';
	$newfile .= $FORM{'version'} ? "version = '$FORM{'version'}'\n" : '';
	$newfile .= $FORM{'images'} ? "images = '$FORM{'images'}'\n" : '';
	$newfile .= $FORM{'buttons'} ? "buttons = '$FORM{'buttons'}'\n" : '';
	$newfile .= $FORM{'preview'} ? "preview = '$FORM{'preview'}'\n" : '';
	$newfile .= $FORM{'hidden'} ? "hidden = '$FORM{'hidden'}'\n" : '';

	fopen(FILE,">$templates/$editfile/theme.dat");
	print FILE $newfile;
	fclose(FILE);

	fopen(FILE,">$templates/$editfile/template.html");
	print FILE $FORM{'temp1'};
	fclose(FILE);

	fopen(FILE,">$templates/$editfile/Smilies.html");
	print FILE $FORM{'temp2'};
	fclose(FILE);

	fopen(FILE,">$templates/$editfile/admintemplate.css");
	print FILE $FORM{'temp3'};
	fclose(FILE);

	fopen(FILE,">$templates/$editfile/template.css");
	print FILE $FORM{'temp4'};
	fclose(FILE);

	$themes{$editfile,'buttons'} = $FORM{'buttons'};
	$themes{$editfile,'images'} = $FORM{'images'};

	ThemeResearch();

	redirect("$surl\lv-admin/a-themesman/");
}
1;